
Redmine - Feature #2055

Assigned to list for parent project in issue filter missing users of child projects

2008-10-20 09:42 - Ewan Makepeace

Status: Closed Start date: 2008-10-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

If I list issues for a parent project I cant filter by Assigned To if the user concerned is not a member of the parent project - even

though I see their name in the list of issues they are not in the drop down menu.

Related issues:

Is duplicate of Redmine - Feature #10126: Add members of subprojects in the a... Closed

History

#1 - 2010-06-10 08:17 - Jean-Baptiste Barth

- File 2055_svn.diff added

- Category set to Issues

- Affected version (unused) set to devel

Proposition of patch attached, with some unit tests.

I still have a doubt on how private projects work, so maybe it has to be refined : let's say you have a public project with a private subproject. For the

moment, you see issues of the subproject in the main project, so it's OK if users of this subproject appear in the filters. But maybe it's not desired

behaviour...

#2 - 2010-06-19 21:41 - Eric Davis

If the parent project is public and the child project is private, you shouldn't be able to see any of the child project's issues.

#3 - 2010-06-19 21:53 - Jean-Baptiste Barth

Ok, I was admin so my test was wrong. I have to refine the patch.

#4 - 2010-06-24 22:44 - Jean-Baptiste Barth

- File 2055_git.diff added

New patch, adapted to respect project privacy. I'd like somebody to test it before it is integrated..

#5 - 2010-06-24 22:44 - Jean-Baptiste Barth

- File deleted (2055_svn.diff)

#6 - 2018-09-08 08:56 - Marius BĂLTEANU

- Tracker changed from Defect to Feature

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in #10126.

#7 - 2018-09-08 08:57 - Marius BĂLTEANU

- Is duplicate of Feature #10126: Add members of subprojects in the assignee and author filters added

#8 - 2018-09-08 09:23 - Ewan Makepeace

What are the odds that 10 years later:
https://www.redmine.org/issues/10126


1. I am still on the same email address,

2. The project is still alive and healthy

3. I am still using Redmine (and this exact feature come to think of it) daily?

Gave me a bit of a thrill to see this.

Files

2055_git.diff 3.9 KB 2010-06-24 Jean-Baptiste Barth
